org.fourthline.cling.support.contentdirectory.ui

## Class ContentTreeExpandListener

- java.lang.Object
- - org.fourthline.cling.support.contentdirectory.ui.ContentTreeExpandListener

- All Implemented Interfaces:
    EventListener, TreeWillExpandListener

      public class ContentTreeExpandListener
      extends Object
      implements TreeWillExpandListener

  Author:
    Christian Bauer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ContentBrowseActionCallbackCreator` | `actionCreator`
    `protected ControlPoint` | `controlPoint`
    `protected Service` | `service`
    `protected DefaultTreeModel` | `treeModel`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContentTreeExpandListener(ControlPoint controlPoint, Service service, DefaultTreeModel treeModel, ContentBrowseActionCallbackCreator actionCreator)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `treeWillCollapse(TreeExpansionEvent e)`
    `void` | `treeWillExpand(TreeExpansionEvent e)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### controlPoint

          protected final ControlPoint controlPoint

    - #### service

          protected final Service service

    - #### treeModel

          protected final DefaultTreeModel treeModel

    - #### actionCreator

          protected final ContentBrowseActionCallbackCreator actionCreator

  - ### Constructor Detail

    - #### ContentTreeExpandListener

          public ContentTreeExpandListener(ControlPoint controlPoint,
                                           Service service,
                                           DefaultTreeModel treeModel,
                                           ContentBrowseActionCallbackCreator actionCreator)

  - ### Method Detail

    - #### treeWillExpand

          public void treeWillExpand(TreeExpansionEvent e)
                              throws ExpandVetoException

      Specified by:
        `treeWillExpand` in interface `TreeWillExpandListener`
      Throws:
        `ExpandVetoException`

    - #### treeWillCollapse

          public void treeWillCollapse(TreeExpansionEvent e)
                                throws ExpandVetoException

      Specified by:
        `treeWillCollapse` in interface `TreeWillExpandListener`
      Throws:
        `ExpandVetoException`

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.